<template>
  <section id="proceso-de-compra" class="animate__animated animate__fadeIn animate__faster">
      <CartBanner />

      <SubHeader :title="sectionTitle" />

      <div class="container mt-3">
        <div class="row">
          <div class="col-md-8">
            <ShippingMethods />
          </div>

          <div class="col-md-4">
            <SummaryCard :currentSection="currentSection" />
          </div>
        </div>
      </div>
  </section>
</template>

<script>
import CartBanner from "@/components/cart/CartBanner"
import SubHeader from "@/components/global/header/SubHeader"
import ShippingMethods from "@/components/purchasing-process/ShippingMethods"
import SummaryCard from '@/components/purchasing-process/SummaryCard'

export default {
  data() {
    return {
      currentSection: 'shipping_method'
    }
  },
  components: {
    CartBanner,
    SubHeader,
    ShippingMethods,
    SummaryCard
  },
  computed: {
    sectionTitle() {
      let text = 'Seleccione método de envío'

      // if(this.currentSection === 'shipping_method') {
      //   text = 'Seleccione método de envío'
      // }

      return text
    }
  }
}
</script>

<style>

</style>